<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="dog.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Port of https://github.com/don/BluetoothSerial for react native</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div><ul>
<li>APPLICATION_ID
: <a class="el" href="d3/dac/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1BuildConfig.html#af13c06d4e625da723d0907678ea4bc52">com.rusel.RCTBluetoothSerial.BuildConfig</a>
</li>
<li>available()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#afdeed4d2a66cc46be76532aab62b1c89">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>cancelDiscovery()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af99e7b60759c159c1af79533144bf6ed">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>clear()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a9f6549c02b0516a276da2e42b5d5a84b">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>connect()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a66847eb3047d2d8be7405842f8d6e0ab">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>disable()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a39ca1151a38d1131c552b7e047a60bd6">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>disconnect()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aec515f3660eef2867fe627b04e9db682">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>discoverUnpairedDevices()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a1db08128bf9bdb3ea372c168c041ec98">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>enable()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a2564793fb3acd5aa2016aecaa91a4a66">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>isConnected()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aaebb4f6b40ef80d418c8753693fa143f">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>isEnabled()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#ac55866c1f4b356915bb5625946af6a21">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>list()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a7d21fb550fe4ac4a680c58280e8a71a5">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>onHostDestroy()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a5b28a1aeb26620357cdb751fdd3f5058">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>onHostPause()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a8ad6f2ef7d1a67ace148270cb288b9f2">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>onHostResume()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#ac8c1df0a12fed084c4c3bb5edae6e0a7">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>onNewIntent()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af896b63b16df97f66acf5656834c5e77">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>pairDevice()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a49f8e7493f82c107b2d37a85ea10075d">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>readFromDevice()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a0f0d4980b87b1750fe9afa38c9e13a1e">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>readUntilDelimiter()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a5804e161715c5322ee646a2541d7e8fa">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>requestEnable()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a0c6bdd5f1224881e9d3c1ed2a2f8ca4b">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>setAdapterName()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aca7f979fc8eea8abe48ba8a6f5b9774a">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>unpairDevice()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af6b4faaeeca915f47d120bce2b9c0bc6">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>withDelimiter()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a4230cff008d036fa956e9d2799e14b0a">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
<li>writeToDevice()
: <a class="el" href="de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a1651397fdf5de4a780c0bb0a81ea5db4">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
